Subject: bug#62416: 30.0.50; Symbols skipped in the navigation in ruby-ts-mode

From: Dmitry Gutov <[email-masked]>
Date: Thu, 30 Mar 2023 12:32:26 +0300

On 30/03/2023 10:47, Yuan Fu wrote:

>> However, there are still a lot of more things that need fixing.
>> When point is on the left curly bracket in
>>
>>    b = %Q{This is a "string"}
>>
>> 'C-M-f' doesn't move to the right curly bracket.
>> Also double quotes inside the string are not matched by 'C-M-f'.
>>
>> In
>>
>>    d = %(hello (nested) world)
>>
>> 'C-M-f' doesn't move to the closing parens from opening parens.
> 
> Have someone fixed these two cases? Because when I tried to invoke
> (treesit-forward-sexp), point moved to the closing bracket/paren.

 From which position? When point is right before '{', it doesn't move in 
my testing. It does move when it was before '%'.

> Anyway, I just wonder if there’s any fundamental shortcoming with how
> treesit-beginning/end-of-thing works?

I don't know. Seems like this method is good for a lot of things, but 
some fiddly details are going to be different from the default forward-sexp.

ruby-mode's sexp navigation is also not ideal in its own way, and it's 
been useful anyway.